Summary: Library for handling TIFF files.
Name: libtiff
Version: 3.4
Release: 1
Copyright: distributable
Group: Libraries
Source0: ftp://ftp.sgi.com/graphics/tiff/tiff-v3.4-tar.gz
Patch0: tiff-v3.4-glibc.patch
Patch1: tiff-v3.4-shlib.patch
URL: http://www-mipl.jpl.nasa.gov/~ndr/tiff/
BuildRoot: /var/tmp/libtiff-root
%define LIBVER 3.4

%changelog

* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>

- new version to replace the one from libgr
- patched for glibc
- added shlib support

%description
This package is a library of functions that manipulate TIFF images.

%package devel
Summary: headers and static libraries for developing programs using libtiff
Group: Development/Libraries
Requires: libtiff

%description devel
This package is all you need to develop programs that manipulate tiff
images.

%prep
%setup -n tiff-v3.4
%patch0 -p1
%patch1 -p1

%build
./configure --target=linux << EOF
no
$RPM_BUILD_ROOT/usr/bin
$RPM_BUILD_ROOT/usr/lib
$RPM_BUILD_ROOT/usr/include
$RPM_BUILD_ROOT/usr/man
bsd-source-cat
yes
EOF
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/man/man1
make install
cd libtiff
install -m644 -o root -g root libtiff.so.3.4 $RPM_BUILD_ROOT/usr/lib

ln -sf libtiff.so.%{LIBVER} $RPM_BUILD_ROOT/usr/lib/libtiff.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/libtiff.so.%{LIBVER}
/usr/bin/fax2tiff
/usr/bin/fax2ps
/usr/bin/gif2tiff
/usr/bin/pal2rgb
/usr/bin/ppm2tiff
/usr/bin/rgb2ycbcr
/usr/bin/thumbnail
/usr/bin/ras2tiff
/usr/bin/tiff2bw
/usr/bin/tiff2ps
/usr/bin/tiffcmp
/usr/bin/tiffcp
/usr/bin/tiffdither
/usr/bin/tiffdump
/usr/bin/tiffinfo
/usr/bin/tiffmedian
/usr/bin/tiffsplit

%files devel
%doc COPYRIGHT README TODO VERSION html/*
/usr/lib/libtiff.so
/usr/lib/libtiff.a
/usr/include/tiff.h
/usr/include/tiffio.h
/usr/man/man1/*
/usr/man/man3/*
